package com.diagbot.dto;

import com.diagbot.entity.Organization;
import com.diagbot.entity.User;
import com.diagbot.entity.UserAuthentication;

import java.util.Map;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description:用户认证信息
 * @author: zhaops
 * @time: 2018/9/17 15:01
 */
@Getter
@Setter
public class UserAuthenticationDTO {
    private User user;
    private Organization organization;
    private UserAuthentication userAuthentication;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户名
     */
    private String username;

    /**
     * 联系人
     */
    private String linkman;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 用户类型
     */
    private Integer userType;

    /**
     * 机构id
     */
    private Long organizationId;
    /**
     * 机构名称
     */
    private String organizationName;

    /**
     * 机构类型
     */
    private Integer organizationType;

    /**
     * 机构负责人
     */
    private String principal;

    /**
     * 机构地址
     */
    private String address;

    /**
     * 下属机构数量
     */
    private Integer subNum;
}
